%define upstream_name    Dist-Zilla-Plugin-DualLife
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Distribute dual-life modules with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Dual-life modules, which are modules distributed both as part of the perl
core and on CPAN, sometimes need a little special treatment. This module
tries provide that for modules built with 'Dist::Zilla'.

Currently the only thing this module does is providing an 'INSTALLDIRS'
option to 'ExtUtils::MakeMaker''s 'WriteMakefile' function, so dual-life
modules will be installed in the right section of '@INC' depending on
different versions of perl.

As more things that need special handling for dual-life modules show up,
this module will try to address them as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENCE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-4.mga8
+ Revision: 1504016
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-3.mga7
+ Revision: 1283005
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.70.0-2.mga7
+ Revision: 1164177
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.70.0-1.mga7
+ Revision: 1157529
- update to 0.07

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1026197
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 969071
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 861327
- update to 0.05

* Fri Jun 26 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 844464
- update to 0.04

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 749694
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 684433
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 533805
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 475458
- update to 0.03

* Sun Jul 14 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 454176
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71116
- imported package perl-Dist-Zilla-Plugin-DualLife


* Mon Mar 14 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
